Retrieve a Google Pass template
Retrieves an existing Google Pass template by providing its ID.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>id*stringGoogle Pass template ID
uuidGoogle Pass templated retrieved
application/json- response
id?stringThis is a unique identifier for this Google Pass template. You will use it as the templateId when formatting a CWT credential as a Google Pass.
passType?DigitalPassTypeDigital pass type
"apple""google"name?stringmetadata?curl -X GET "https://example.com/v2/credentials/compact-semantic/digital-pass/google/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "passType": "apple", "name": "Certificate of participation", "metadata": { "issuerId": "3388000000012346000", "serviceAccountClientEmail": "app-user@myproject.iam.gserviceaccount.com", "payPassId": "3388000000012345678.a0bbe92f-c85e-4081-94c3-f842bcd5e463" }}How would you rate this page?
Retrieve all Google Pass templates GET
Retrieves a list of all Google Pass templates available on your tenant.
Update a Google Pass template PUT
Updates a existing Google Pass template by providing its ID and a `.zip` file. Refer to our [Design a Google Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/google-templates) guide for more information on how to design the template and how to structure the `.zip` file.